Package weka.core.pmml.jaxbbindings

# Class Segment

java.lang.Object
weka.core.pmml.jaxbbindings.Segment

public class Segment extends Object

Java class for Segment element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="Segment">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <group ref="{http://www.dmg.org/PMML-4_1}PREDICATE"/>
               <group ref="{http://www.dmg.org/PMML-4_1}MODEL-ELEMENT"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="weight" type="{http://www.dmg.org/PMML-4_1}NUMBER" default="1" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Segment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AssociationModel`
  `getAssociationModel()`
  Gets the value of the associationModel property.
  `BaselineModel`
  `getBaselineModel()`
  Gets the value of the baselineModel property.
  `ClusteringModel`
  `getClusteringModel()`
  Gets the value of the clusteringModel property.
  `CompoundPredicate`
  `getCompoundPredicate()`
  Gets the value of the compoundPredicate property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `False`
  `getFalse()`
  Gets the value of the false property.
  `GeneralRegressionModel`
  `getGeneralRegressionModel()`
  Gets the value of the generalRegressionModel property.
  `String`
  `getId()`
  Gets the value of the id property.
  `MiningModel`
  `getMiningModel()`
  Gets the value of the miningModel property.
  `NaiveBayesModel`
  `getNaiveBayesModel()`
  Gets the value of the naiveBayesModel property.
  `NearestNeighborModel`
  `getNearestNeighborModel()`
  Gets the value of the nearestNeighborModel property.
  `NeuralNetwork`
  `getNeuralNetwork()`
  Gets the value of the neuralNetwork property.
  `RegressionModel`
  `getRegressionModel()`
  Gets the value of the regressionModel property.
  `RuleSetModel`
  `getRuleSetModel()`
  Gets the value of the ruleSetModel property.
  `Scorecard`
  `getScorecard()`
  Gets the value of the scorecard property.
  `SequenceModel`
  `getSequenceModel()`
  Gets the value of the sequenceModel property.
  `SimplePredicate`
  `getSimplePredicate()`
  Gets the value of the simplePredicate property.
  `SimpleSetPredicate`
  `getSimpleSetPredicate()`
  Gets the value of the simpleSetPredicate property.
  `SupportVectorMachineModel`
  `getSupportVectorMachineModel()`
  Gets the value of the supportVectorMachineModel property.
  `TextModel`
  `getTextModel()`
  Gets the value of the textModel property.
  `TimeSeriesModel`
  `getTimeSeriesModel()`
  Gets the value of the timeSeriesModel property.
  `TreeModel`
  `getTreeModel()`
  Gets the value of the treeModel property.
  `True`
  `getTrue()`
  Gets the value of the true property.
  `double`
  `getWeight()`
  Gets the value of the weight property.
  `void`
  `setAssociationModel(AssociationModel value)`
  Sets the value of the associationModel property.
  `void`
  `setBaselineModel(BaselineModel value)`
  Sets the value of the baselineModel property.
  `void`
  `setClusteringModel(ClusteringModel value)`
  Sets the value of the clusteringModel property.
  `void`
  `setCompoundPredicate(CompoundPredicate value)`
  Sets the value of the compoundPredicate property.
  `void`
  `setFalse(False value)`
  Sets the value of the false property.
  `void`
  `setGeneralRegressionModel(GeneralRegressionModel value)`
  Sets the value of the generalRegressionModel property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setMiningModel(MiningModel value)`
  Sets the value of the miningModel property.
  `void`
  `setNaiveBayesModel(NaiveBayesModel value)`
  Sets the value of the naiveBayesModel property.
  `void`
  `setNearestNeighborModel(NearestNeighborModel value)`
  Sets the value of the nearestNeighborModel property.
  `void`
  `setNeuralNetwork(NeuralNetwork value)`
  Sets the value of the neuralNetwork property.
  `void`
  `setRegressionModel(RegressionModel value)`
  Sets the value of the regressionModel property.
  `void`
  `setRuleSetModel(RuleSetModel value)`
  Sets the value of the ruleSetModel property.
  `void`
  `setScorecard(Scorecard value)`
  Sets the value of the scorecard property.
  `void`
  `setSequenceModel(SequenceModel value)`
  Sets the value of the sequenceModel property.
  `void`
  `setSimplePredicate(SimplePredicate value)`
  Sets the value of the simplePredicate property.
  `void`
  `setSimpleSetPredicate(SimpleSetPredicate value)`
  Sets the value of the simpleSetPredicate property.
  `void`
  `setSupportVectorMachineModel(SupportVectorMachineModel value)`
  Sets the value of the supportVectorMachineModel property.
  `void`
  `setTextModel(TextModel value)`
  Sets the value of the textModel property.
  `void`
  `setTimeSeriesModel(TimeSeriesModel value)`
  Sets the value of the timeSeriesModel property.
  `void`
  `setTreeModel(TreeModel value)`
  Sets the value of the treeModel property.
  `void`
  `setTrue(True value)`
  Sets the value of the true property.
  `void`
  `setWeight(Double value)`
  Sets the value of the weight property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Segment

    public Segment()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getSimplePredicate

    public SimplePredicate getSimplePredicate()
    Gets the value of the simplePredicate property.
    Returns:
      possible object is `SimplePredicate`

  - ### setSimplePredicate

    public void setSimplePredicate(SimplePredicate value)
    Sets the value of the simplePredicate property.
    Parameters:
      `value` - allowed object is `SimplePredicate`

  - ### getCompoundPredicate

    public CompoundPredicate getCompoundPredicate()
    Gets the value of the compoundPredicate property.
    Returns:
      possible object is `CompoundPredicate`

  - ### setCompoundPredicate

    public void setCompoundPredicate(CompoundPredicate value)
    Sets the value of the compoundPredicate property.
    Parameters:
      `value` - allowed object is `CompoundPredicate`

  - ### getSimpleSetPredicate

    public SimpleSetPredicate getSimpleSetPredicate()
    Gets the value of the simpleSetPredicate property.
    Returns:
      possible object is `SimpleSetPredicate`

  - ### setSimpleSetPredicate

    public void setSimpleSetPredicate(SimpleSetPredicate value)
    Sets the value of the simpleSetPredicate property.
    Parameters:
      `value` - allowed object is `SimpleSetPredicate`

  - ### getTrue

    public True getTrue()
    Gets the value of the true property.
    Returns:
      possible object is `True`

  - ### setTrue

    public void setTrue(True value)
    Sets the value of the true property.
    Parameters:
      `value` - allowed object is `True`

  - ### getFalse

    public False getFalse()
    Gets the value of the false property.
    Returns:
      possible object is `False`

  - ### setFalse

    public void setFalse(False value)
    Sets the value of the false property.
    Parameters:
      `value` - allowed object is `False`

  - ### getAssociationModel

    public AssociationModel getAssociationModel()
    Gets the value of the associationModel property.
    Returns:
      possible object is `AssociationModel`

  - ### setAssociationModel

    public void setAssociationModel(AssociationModel value)
    Sets the value of the associationModel property.
    Parameters:
      `value` - allowed object is `AssociationModel`

  - ### getBaselineModel

    public BaselineModel getBaselineModel()
    Gets the value of the baselineModel property.
    Returns:
      possible object is `BaselineModel`

  - ### setBaselineModel

    public void setBaselineModel(BaselineModel value)
    Sets the value of the baselineModel property.
    Parameters:
      `value` - allowed object is `BaselineModel`

  - ### getClusteringModel

    public ClusteringModel getClusteringModel()
    Gets the value of the clusteringModel property.
    Returns:
      possible object is `ClusteringModel`

  - ### setClusteringModel

    public void setClusteringModel(ClusteringModel value)
    Sets the value of the clusteringModel property.
    Parameters:
      `value` - allowed object is `ClusteringModel`

  - ### getGeneralRegressionModel

    public GeneralRegressionModel getGeneralRegressionModel()
    Gets the value of the generalRegressionModel property.
    Returns:
      possible object is `GeneralRegressionModel`

  - ### setGeneralRegressionModel

    public void setGeneralRegressionModel(GeneralRegressionModel value)
    Sets the value of the generalRegressionModel property.
    Parameters:
      `value` - allowed object is `GeneralRegressionModel`

  - ### getMiningModel

    public MiningModel getMiningModel()
    Gets the value of the miningModel property.
    Returns:
      possible object is `MiningModel`

  - ### setMiningModel

    public void setMiningModel(MiningModel value)
    Sets the value of the miningModel property.
    Parameters:
      `value` - allowed object is `MiningModel`

  - ### getNaiveBayesModel

    public NaiveBayesModel getNaiveBayesModel()
    Gets the value of the naiveBayesModel property.
    Returns:
      possible object is `NaiveBayesModel`

  - ### setNaiveBayesModel

    public void setNaiveBayesModel(NaiveBayesModel value)
    Sets the value of the naiveBayesModel property.
    Parameters:
      `value` - allowed object is `NaiveBayesModel`

  - ### getNearestNeighborModel

    public NearestNeighborModel getNearestNeighborModel()
    Gets the value of the nearestNeighborModel property.
    Returns:
      possible object is `NearestNeighborModel`

  - ### setNearestNeighborModel

    public void setNearestNeighborModel(NearestNeighborModel value)
    Sets the value of the nearestNeighborModel property.
    Parameters:
      `value` - allowed object is `NearestNeighborModel`

  - ### getNeuralNetwork

    public NeuralNetwork getNeuralNetwork()
    Gets the value of the neuralNetwork property.
    Returns:
      possible object is `NeuralNetwork`

  - ### setNeuralNetwork

    public void setNeuralNetwork(NeuralNetwork value)
    Sets the value of the neuralNetwork property.
    Parameters:
      `value` - allowed object is `NeuralNetwork`

  - ### getRegressionModel

    public RegressionModel getRegressionModel()
    Gets the value of the regressionModel property.
    Returns:
      possible object is `RegressionModel`

  - ### setRegressionModel

    public void setRegressionModel(RegressionModel value)
    Sets the value of the regressionModel property.
    Parameters:
      `value` - allowed object is `RegressionModel`

  - ### getRuleSetModel

    public RuleSetModel getRuleSetModel()
    Gets the value of the ruleSetModel property.
    Returns:
      possible object is `RuleSetModel`

  - ### setRuleSetModel

    public void setRuleSetModel(RuleSetModel value)
    Sets the value of the ruleSetModel property.
    Parameters:
      `value` - allowed object is `RuleSetModel`

  - ### getSequenceModel

    public SequenceModel getSequenceModel()
    Gets the value of the sequenceModel property.
    Returns:
      possible object is `SequenceModel`

  - ### setSequenceModel

    public void setSequenceModel(SequenceModel value)
    Sets the value of the sequenceModel property.
    Parameters:
      `value` - allowed object is `SequenceModel`

  - ### getScorecard

    public Scorecard getScorecard()
    Gets the value of the scorecard property.
    Returns:
      possible object is `Scorecard`

  - ### setScorecard

    public void setScorecard(Scorecard value)
    Sets the value of the scorecard property.
    Parameters:
      `value` - allowed object is `Scorecard`

  - ### getSupportVectorMachineModel

    public SupportVectorMachineModel getSupportVectorMachineModel()
    Gets the value of the supportVectorMachineModel property.
    Returns:
      possible object is `SupportVectorMachineModel`

  - ### setSupportVectorMachineModel

    public void setSupportVectorMachineModel(SupportVectorMachineModel value)
    Sets the value of the supportVectorMachineModel property.
    Parameters:
      `value` - allowed object is `SupportVectorMachineModel`

  - ### getTextModel

    public TextModel getTextModel()
    Gets the value of the textModel property.
    Returns:
      possible object is `TextModel`

  - ### setTextModel

    public void setTextModel(TextModel value)
    Sets the value of the textModel property.
    Parameters:
      `value` - allowed object is `TextModel`

  - ### getTimeSeriesModel

    public TimeSeriesModel getTimeSeriesModel()
    Gets the value of the timeSeriesModel property.
    Returns:
      possible object is `TimeSeriesModel`

  - ### setTimeSeriesModel

    public void setTimeSeriesModel(TimeSeriesModel value)
    Sets the value of the timeSeriesModel property.
    Parameters:
      `value` - allowed object is `TimeSeriesModel`

  - ### getTreeModel

    public TreeModel getTreeModel()
    Gets the value of the treeModel property.
    Returns:
      possible object is `TreeModel`

  - ### setTreeModel

    public void setTreeModel(TreeModel value)
    Sets the value of the treeModel property.
    Parameters:
      `value` - allowed object is `TreeModel`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getWeight

    public double getWeight()
    Gets the value of the weight property.
    Returns:
      possible object is `Double`

  - ### setWeight

    public void setWeight(Double value)
    Sets the value of the weight property.
    Parameters:
      `value` - allowed object is `Double`